BaseConfigurationMigrator (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class BaseConfigurationMigrator

    java.lang.Object
      org.neo4j.kernel.configuration.BaseConfigurationMigrator

All Implemented Interfaces:
  ConfigurationMigrator

Direct Known Subclasses:
  GraphDatabaseConfigurationMigrator

    public class BaseConfigurationMigrator

extends Object
implements ConfigurationMigrator

A basic approach to implementing configuration migrations. This applies migrations in both directions, meaning that you can still continue to both read and write with the old configuration value.

Nested Class Summary
`static interface` | `BaseConfigurationMigrator.Migration`
`static class` | `BaseConfigurationMigrator.PropertyRenamed`
`static class` | `BaseConfigurationMigrator.SpecificPropertyMigration`

Constructor Summary
`BaseConfigurationMigrator()`

Method Summary
`void` | `add(BaseConfigurationMigrator.Migration migration)`
`Map<String,String>` | `apply(Map<String,String> rawConfiguration, org.neo4j.kernel.impl.util.StringLogger log)`
`static BaseConfigurationMigrator.Migration` | `propertyRenamed(String oldKey, String newKey, String deprecationMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseConfigurationMigrator

    public BaseConfigurationMigrator()

Method Detail

### propertyRenamed

    public static BaseConfigurationMigrator.Migration propertyRenamed(String oldKey,
                                                                      String newKey,
                                                                      String deprecationMessage)

### add

    public void add(BaseConfigurationMigrator.Migration migration)

### apply

    public Map<String,String> apply(Map<String,String> rawConfiguration,
                                    org.neo4j.kernel.impl.util.StringLogger log)

  Specified by:
    `apply` in interface `ConfigurationMigrator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.